## net.sf.saxon.expr
Interface LastPositionFinder

All Superinterfaces:
  SequenceIterator

All Known Implementing Classes:
  ArrayIterator, EmptyIterator, GroupByIterator, ListIterator, MemoClosure.ProgressiveIterator, RangeExpression.RangeIterator, ReverseArrayIterator, SingletonIterator, SortedIterator

public interface LastPositionFinder
extends SequenceIterator

A LastPositionFinder is an interface implemented by any SequenceIterator that is able to return the position of the last item in the sequence.

Field Summary

Fields inherited from interface net.sf.saxon.om.SequenceIterator
`ATOMIZABLE, GROUNDED, LAST_POSITION_FINDER, LOOKAHEAD`

Method Summary
`int` `getLastPosition()` Get the last position (that is, the number of items in the sequence).

Methods inherited from interface net.sf.saxon.om.SequenceIterator
`current, getAnother, getProperties, next, position`

Method Detail

### getLastPosition

    public int getLastPosition()
                        throws XPathException

  Get the last position (that is, the number of items in the sequence). This method is non-destructive: it does not change the state of the iterator. The result is undefined if the next() method of the iterator has already returned null.

  Throws:
    `XPathException`